## gdal 1.10.1+dfsg

=== bridge/Makefile ===

bridge_test:	bridge_test.cpp gbgetsymbol.cpp gdalbridge.cpp
	$(CXX) -Wall -g bridge_test.cpp gbgetsymbol.cpp gdalbridge.cpp -ldl \
		-o bridge_test

clean:
	rm *.o bridge_test
