=== debian/changelog ===
gdal (1.10.1+dfsg-8) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout.
    Thanks to Gilles Filippini for the patch.
    (closes: #756662)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 01 Aug 2014 00:02:15 +0200

gdal (1.10.1+dfsg-7) unstable; urgency=medium

  * Also use autotools_dev to update config.sub and config.guess.
    Thanks to Breno Leitao for the patch.
    (closes: #756412)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 29 Jul 2014 22:17:47 +0200

gdal (1.10.1+dfsg-6) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "hardcodes /usr/lib/perl5":
    - add patch perl-vendor which passes INSTALLDIRS=vendor to Makefile.PL
      which nicely drops perl files into suitable directories
    - remove all perl juggling around from debian/rules as a result of the
      patch
    - make debian/libgdal-perl.install executable and use $Config{vendorarch}
      there to install the perl files from the expected location
    (Closes: #752473)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 08 Jul 2014 20:44:25 +0200

gdal (1.10.1+dfsg-5) unstable; urgency=medium

  * Don't run dh for custom targets.
  * Also remove config.log on clean.
  * Don't strip .py extension from python scripts, breaks QGIS plugins.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 02 Apr 2014 00:31:29 +0200

gdal (1.10.1+dfsg-4) unstable; urgency=medium

  * Add libcurl-ssl-dev as alternative to libcurl4-gnutls-dev.
    (closes: #741015)
  * Enable WebP image format support.
    (closes: #741004)
  * Add gbp.conf to use pristine-tar by default.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 07 Mar 2014 21:58:55 +0100

gdal (1.10.1+dfsg-3) unstable; urgency=medium

  * Add patch to fix FTBFS on hurd-i386 which doesn't defined PATH_MAX.
  * Update symbols files for version 1.10.1.
  * Add script to assist with symbols file updates.
  * Add patch to fix 'suppress' typo in manpage.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 11 Jan 2014 06:36:16 +0100

gdal (1.10.1+dfsg-2) unstable; urgency=medium

  * Moved to libhdf5-dev b-d with the right versioning. 
    (closes: #689426)
  * Policy bumped to 3.9.5, no changes.
  * Added a Breaks for python-gdal vs gdal-bin due to gdal_retile.1 collision
    in pre-1.10 versions distributed in experimental. Just for safety.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 18 Dec 2013 13:10:55 +0100

gdal (1.10.1+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Change priority to optional.

  [ Francesco Paolo Lovergine ]
  * Ready for unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Dec 2013 12:59:27 +0100

gdal (1.10.1+dfsg-0~exp1) experimental; urgency=low

  [ Bas Couwenberg ]
  * New upstream release.
  * Add myself to Uploaders.
  * Update watch file.
  * Remove data files with unclear rights.
    (closes: #721343)
  * Refresh patches.
  * Use canonical URLs for Vcs-* fields.
  * Update copyright.
  * Refer to quilt instead of dpatch, and fix typos in README.source.
  * Add patches to fix various typos.
  * Add lintian overrides for hyphen-used-as-minus-sign and
    manpage-has-errors-from-man, man pages are automatically generated
    with sphinx.
  * Use versioned Breaks/Replaces instead of Conflicts/Replaces.
  * Bump dephelper compatibility to 9.
  * Install java files with mode 644.
  * Exclude libgdal-java from dh_makeshlibs, doesn't install in default paths.
  * Add doc-base configuration for libgdal-doc.
  * Only install NEWS.Debian in libgdal-dev.
    (closes: #677693)
  * Reinstate doc patch, refresh and update to fix more links.
    (closes: #471198)
  * Drop temporary fix for #564243, doxygen doesn't generate files with extra
    underscores anymore.
  * Add patch to add a brief description to {gdal,ogr}_utilities documentation.
    (closes: #421653)
  * Drop ruby extension for ruby1.8 removal transition. See also: #684433.
    (closes: #722383)
  * Use minimal dh rules with dh-python, and dh-autoreconf for retooling.
  * Add patch to use hardening flags for java and perl bindings.
  * Install python scripts without .py extension.

  [ Francesco Paolo Lovergine ]
  * Added a missing manpages to python-gdal.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 03 Oct 2013 23:19:27 +0200

gdal (1.10.0-0~exp3) experimental; urgency=low

  * Added netcdf-bin build-dep to get nc-config, as required by current config.
  * Fixed gdalpaths patch for version 1.10.
  * Fixed symbols files to manage correctly library dependencies.
  * Added java support. Thanks Ezequiel Lara Gómez for the initial patch.
    Added a pair of new b-deps for that, along with two new patches java*.
    (closes: #628022)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 Jun 2013 11:19:15 +0200

gdal (1.10.0-0~exp2) experimental; urgency=low

  * Removed Provides: libgdal1 in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 25 Jun 2013 16:30:39 +0200

gdal (1.10.0-0~exp1) experimental; urgency=low

  * Moved to new LIBKML driver instead of the old KML one. It has a much
    better support for complex KML files. (closes: #685695)
  * Merged NMU 1.9.0-3.1:
    Fix "FTBFS when ruby1.9.1 installed": force building with ruby1.8:
    set variables in debian/rules and new patch force-ruby1.8 to ruby1.8.
    Thanks to Cédric Boutillier for reviewing and testing this patch.
    (closes: #684433)
  * Added libarmadillo support.
  * Added TIFF/GEOTIFF symbols rename to definitively solve problem of
    symbol collisions for programs that both links geotiff/tiff libraries.
    This choice implies that the API does not include anymore any *tiff
    related functions: changed API declaration.
  * Policy bumped to 3.9.4. No changes required.
  * New upstream version with many fixes. All patches refreshed.
  	(closes: #679887)
  * Added a Breaks: libgdal1-1.6.0. I don't know if it still makes sense, 

