=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               zlib1g-dev,
               libnetcdf-dev (>= 1:4.0.0),
               netcdf-bin,
               libjasper-dev,
               libpng-dev,
               libjpeg-dev,
               libgif-dev,
               libwebp-dev,
               libhdf4-alt-dev,
               libhdf5-dev (>= 1.8.8),
               libpq-dev,
               libxerces-c-dev,
               unixodbc-dev (>= 2.2.11),
               doxygen,
               d-shlibs,
               libgeos-dev,
               libmysqlclient-dev,
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-numpy,
               python3-all-dev,
               python3-numpy,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libsqlite3-dev,
               libogdi3.2-dev,
               chrpath,
               swig,
               patch,
               libexpat1-dev,
               libproj-dev,
               libdap-dev,
               libxml2-dev,
               libspatialite-dev (>= 2.4.0~rc2-4),
               libepsilon-dev (>= 0.9.1-1~),
               libpoppler-private-dev,
               liblzma-dev,
               libopenjpeg-dev,
               libarmadillo-dev,
               libfreexl-dev (>= 1.0.0),
               libkml-dev (>= 1.3.0~),
               liburiparser-dev,
               default-jdk,
               ant
Build-Conflicts: python-setuptools
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/gdal.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal.git
Homepage: http://www.gdal.org/
X-Python3-Version: >= 3.2

Package: libgdal1h
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Breaks: libgdal1 (<= 1.10.0-0~),
        libgdal1-1.6.0 (<= 1.10.0-0~)
Replaces: libgdal1 (<= 1.10.0-0~),
          libgdal1-1.6.0 (<= 1.10.0-0~)
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal1-dev
Architecture: all
Section: libdevel
Depends: libgdal-dev,
         ${misc:Depends}
Description: Geospatial Data Abstraction Library - Transitional package
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This is a transitional dummy package that depends on libgdal-dev 
 and is used to allow versioned build dependencies to work in 
 any build environment.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal1h (= ${binary:Version}),
         libc6-dev,
         libnetcdf-dev,
         libjasper-dev,
         libpng-dev,
         libjpeg-dev,
         libgif-dev,
         libwebp-dev,
         libhdf4-alt-dev,
         libhdf5-dev,
         libpq-dev,
         libxerces-c-dev,
         unixodbc-dev,
         libsqlite3-dev,
         libgeos-dev,
         libmysqlclient-dev,
         libltdl-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libspatialite-dev,
         libdap-dev,
         ${misc:Depends}
Suggests: libgdal-doc
Breaks: libgdal1-dev (<< 1.9.0-1~)
Replaces: libgdal1-dev (<< 1.9.0-1~)
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script). 

Package: libgdal-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libgdal1h
Description: Documentation for the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains documentation for GDAL/OGR API.
Homepage: http://www.gdal.org/#index_userdocs

Package: gdal-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: python-gdal
Breaks: gdal-bin (<< 1.10.0-0~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.
Homepage: http://www.gdal.org/gdal_utilities.html

Package: python-gdal
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${python:Depends},
         python-numpy,
         ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python bindings for GDAL/OGR library and
 a set of additional command line tools.
Homepage: http://trac.osgeo.org/gdal/wiki/GdalOgrInPython

Package: python3-gdal
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${python3:Depends},
         python3-numpy,
         ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for GDAL/OGR library and
 a set of additional command line tools.
Homepage: http://trac.osgeo.org/gdal/wiki/GdalOgrInPython

Package: libgdal-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends}
Description: Perl bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Perl bindings for GDAL/OGR library.
Homepage: http://map.hut.fi/doc/Geo-GDAL/html/

Package: libgdal-java
Architecture: any
Section: java
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Java bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
