## gdal 1.11.1+dfsg

=== debian/changelog ===
gdal (1.11.1+dfsg-1~exp2) experimental; urgency=medium

  * Set experimental branch in Vcs-Git and gbp.conf.
  * Update symbols for amd64, armel, armhf, i386, mips, mipsel, powerpc,
    s390x & sparc.
  * Don't exclude libhdf4-alt-dev from build dependencies on ppc64.
  * Update gdal-symbols.pl to also generate symbols files for new
    architectures.
  * Add symbols files for alpha, arm64, hppa, hurd-i386,
    kfreebsd-amd64, kfreebsd-i386, ppc64, ppc64el & x32.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 07 Nov 2014 20:53:35 +0100

gdal (1.11.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 11 Oct 2014 18:11:56 +0200

gdal (1.11.0+dfsg1-1~exp5) experimental; urgency=medium

  * Use alternative dependency template for C++ symbols in libgdal1h.
  * Update path in copyright file, ogrvrt.xsd moved to data directory.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Sep 2014 20:27:35 +0200

gdal (1.11.0+dfsg1-1~exp4) experimental; urgency=medium

  * Merge changes from 1.10.1+dfsg-8 to support new hdf5 packaging layout.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 01 Aug 2014 00:08:50 +0200

gdal (1.11.0+dfsg1-1~exp3) experimental; urgency=medium

  * Merge changes from 1.10.1+dfsg-7 to include patch by Breno Leitao.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 29 Jul 2014 22:40:29 +0200

gdal (1.11.0+dfsg1-1~exp2) experimental; urgency=low

  [ Marc Deslauriers ]
  * Fix ftbfs on arm64 and ppc64el.

  [ Bas Couwenberg ]
  * Simplify repacking with tar --delete.
  * Update symbols for: amd64, armel, armhf, i386, mips, mipsel, powerpc &
    s390x.
  * Bump repacked upstream version, repacking was fixed to not delete the
    .gitignore file included by upstream.
  * Merge changes from 1.10.1+dfsg-6 to include patch by gregor herrmann.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 09 Jul 2014 00:32:07 +0200

gdal (1.11.0+dfsg-1~exp1) experimental; urgency=low

  * New upstream release.
  * Update copyright file.
  * Drop patch: man, applied upstream.
  * Drop patch: unkown-typo, applied upstream.
  * Drop patch: hurd-i386-pathmax, file removed upstream.
  * Refresh patches.
  * Update install paths for new upstream version.
  * Add libpcre3-dev build dependency.
  * Don't use -Werror=format-security, causes build failure on
    ogrsxfdatasource.cpp.
  * Add patch to fix 'recommended' typo.
  * Update typo patches.
  * Install JNI libraries in /usr/lib/jni instead of /usr/lib.
  * Fix man page install.
  * Also include gdal.pc in dev package.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 04 May 2014 18:13:46 +0200
