=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libwebp-dev,
                libhdf4-alt-dev,
                libhdf5-dev (>= 1.8.8),
+               libpcre3-dev,
                libpq-dev,
                libxerces-c-dev,
                unixodbc-dev (>= 2.2.11),
@@ -51,9 +52,9 @@
                default-jdk,
                ant
 Build-Conflicts: python-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/gdal.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal.git -b experimental
 Homepage: http://www.gdal.org/
 X-Python3-Version: >= 3.2
 
@@ -67,6 +68,7 @@
         libgdal1-1.6.0 (<= 1.10.0-0~)
 Replaces: libgdal1 (<= 1.10.0-0~),
           libgdal1-1.6.0 (<= 1.10.0-0~)
+Provides: libgdal.so.1-1.11.1
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -123,7 +125,7 @@
          libjpeg-dev,
          libgif-dev,
          libwebp-dev,
-         libhdf4-alt-dev,
+         libhdf4-alt-dev [!arm64 !ppc64 !ppc64el],
          libhdf5-dev,
          libpq-dev,
          libxerces-c-dev,
@@ -303,4 +305,3 @@
          ${misc:Depends}
 Description: Java bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
- As a library, it presents a single abstract data model to the
