=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Remove -Werror=format-security, causes build failure on ogrsxfdatasource.cpp
+CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
+
+CFLAGS   := $(filter-out -Werror=format-security, $(CFLAGS))
+CXXFLAGS := $(filter-out -Werror=format-security, $(CXXFLAGS))
 
 PYVERS=$(shell pyversions -v -r debian/control) $(shell py3versions -v -r)
 PYDEF=$(shell pyversions -dv)
@@ -73,9 +80,6 @@
 	rm -rf $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
 	rm -rf $(CURDIR)/frmts/o/.libs
 	rm -f  $(CURDIR)/islibdappost310.*
-
-	# Removes per arch symbols for compatible archs
-	rm -f $(CURDIR)/debian/libgdal*.symbols.kfreebsd-i386 $(CURDIR)/debian/libgdal*.symbols.kfreebsd-amd64
 
 override_dh_auto_configure:
 	for V in $(PYVERS); do \
@@ -117,7 +121,8 @@
 			--with-libkml=yes \
 			--with-armadillo=yes \
 			--with-liblzma=yes \
-			--with-epsilon=/usr; \
+			--with-epsilon=/usr \
+			CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"; \
 		mv GDALmake.opt GDALmake.opt-$$V; \
 	done
 
@@ -160,7 +165,7 @@
 	# java stuff
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/java $(CURDIR)/debian/tmp/usr/lib/jni
 	install -o root -g root -m 644 $(CURDIR)/swig/java/gdal.jar $(CURDIR)/debian/tmp/usr/share/java/.
-	install -o root -g root -m 644 $(CURDIR)/swig/java/*jni.so* $(CURDIR)/debian/tmp/usr/lib/jni
+	install -o root -g root -m 644 $(CURDIR)/debian/tmp/usr/lib/*jni.so* $(CURDIR)/debian/tmp/usr/lib/jni
 
 	# removing useless autogenerated man pages
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1
@@ -207,6 +212,3 @@
 	dh_python3 -X.info -ppython3-gdal
 	dh_numpy3
 
-override_dh_makeshlibs:
-	# Adds per arch symbols for compatible archs
-	ln -f $(CURDIR)/debian/libgdal*.symbols.i386 $(CURDIR)/debian/libgdal1h.symbols.kfreebsd-i386
