## gdal 1.11.2+dfsg

=== debian/changelog ===
gdal (1.11.2+dfsg-1~exp3ubuntu6) wily; urgency=medium

  * Build harder without spatialite.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 16:03:43 +0200

gdal (1.11.2+dfsg-1~exp3ubuntu5) wily; urgency=medium

  * Build without spatialite.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 16:00:23 +0200

gdal (1.11.2+dfsg-1~exp3ubuntu4) wily; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 15:15:07 +0200

gdal (1.11.2+dfsg-1~exp3ubuntu3) wily; urgency=medium

  * No-change rebuild against libdap17v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 16:50:56 +0000

gdal (1.11.2+dfsg-1~exp3ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2015 01:52:25 +0000

gdal (1.11.2+dfsg-1~exp3ubuntu1) wily; urgency=medium

  * debian/patches/0001-PDF-add-compatibility-with-Poppler-0.31.0.patch:
    Cherry-pick upstream patch to fix compatiblity with poppler ≥ 0.31.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 15:23:55 +0100

gdal (1.11.2+dfsg-1~exp3build1) wily; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 12:29:00 +0100

gdal (1.11.2+dfsg-1~exp3) experimental; urgency=medium

  * Use packaged jquery.js instead of Doxygen copy.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 May 2015 16:43:16 +0200

gdal (1.11.2+dfsg-1~exp2) experimental; urgency=medium

  * Update symbols for amd64, arm64, armel, armhf, hurd-i386, i386,
    kfreebsd-amd64, kfreebsd-i386, mipsel, powerpc, ppc64el, s390x, sparc &
    x32.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Feb 2015 14:56:48 +0100

gdal (1.11.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Have python*-gdal suggest gdal-bin.
    (closes: #774243)
  * Update my email to @debian.org address.
  * Drop get-orig-source script in favor of uscan + Files-Excluded.
  * Refresh patches.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update copyright file, group files & copyright by license.
  * Update openjpeg build dependency from 1.5 to 2.1.
    (closes: #761957)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Feb 2015 22:24:13 +0100
