=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gdal
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -40,11 +41,10 @@
                libproj-dev,
                libdap-dev,
                libxml2-dev,
-               libspatialite-dev (>= 2.4.0~rc2-4),
                libepsilon-dev (>= 0.9.1-1~),
                libpoppler-private-dev,
                liblzma-dev,
-               libopenjpeg-dev,
+               libopenjp2-7-dev,
                libarmadillo-dev,
                libfreexl-dev (>= 1.0.0),
                libkml-dev (>= 1.3.0~),
@@ -53,7 +53,7 @@
                ant
 Build-Conflicts: python-setuptools
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/gdal.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/gdal.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal.git -b experimental
 Homepage: http://www.gdal.org/
 X-Python3-Version: >= 3.2
@@ -68,7 +68,7 @@
         libgdal1-1.6.0 (<= 1.10.0-0~)
 Replaces: libgdal1 (<= 1.10.0-0~),
           libgdal1-1.6.0 (<= 1.10.0-0~)
-Provides: libgdal.so.1-1.11.1
+Provides: libgdal.so.1-1.11.2
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -164,7 +164,8 @@
 Package: libgdal-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: libjs-jquery,
+         ${misc:Depends}
 Suggests: libgdal1h
 Description: Documentation for the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
@@ -221,6 +222,7 @@
          ${python:Depends},
          python-numpy,
          ${misc:Depends}
+Suggests: gdal-bin
 Provides: ${python:Provides}
 Description: Python bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
@@ -250,6 +252,7 @@
          ${python3:Depends},
          python3-numpy,
          ${misc:Depends}
+Suggests: gdal-bin
 Provides: ${python3:Provides}
 Description: Python 3 bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
@@ -303,5 +306,3 @@
 Section: java
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Description: Java bindings to the Geospatial Data Abstraction Library
- GDAL is a translator library for raster geospatial data formats.
