=== debian/rules ===
--- 
+++ 
@@ -111,7 +111,6 @@
 			--with-ogdi \
 			--with-dods-root=/usr \
 			--with-static-proj4=yes \
-			--with-spatialite=/usr \
 			--with-cfitsio=no \
 			--with-ecw=no \
 			--with-mrsid=no \
@@ -175,7 +174,10 @@
 
 	# removing la file
 	rm -f $(CURDIR)/debian/tmp/usr/lib/libgdal.la
-	
+
+	# Remove doxygen jquery.js copy in favor of libjs-jquery
+	rm -f $(CURDIR)/debian/*/usr/share/doc/libgdal-doc/*/jquery.js
+
 	# removing embedded rpath in main lib
 	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;
 
@@ -205,10 +207,3 @@
 	dh_installchangelogs NEWS
 
 override_dh_python2:
-	dh_python2 -X.info -ppython-gdal
-	dh_numpy
-
-override_dh_python3:
-	dh_python3 -X.info -ppython3-gdal
-	dh_numpy3
-
